///////////////////////////////////////////////////////////////////////////////////////////////
//  LCD display Header File
//	writes AD data to LCD screen
///////////////////////////////////////////////////////////////////////////////////////////////


/************* DEFINITIONS ****************************************
*
*******************************************************************/
// LCDinit
#define LCDDATA 1
#define LCDCMD  0
#define PMDATA  PMDIN1

// readLCD
#define busyLCD() readLCD( LCDCMD) & 0x80
#define addrLCD() readLCD( LCDCMD) & 0x7F
#define getLCD()  readLCD( LCDDATA)

// writeLCD
#define putLCD( d)  writeLCD( LCDDATA, (d))
#define cmdLCD( c)  writeLCD( LCDCMD, (c))
#define homeLCD()   writeLCD( LCDCMD, 2)    
#define clrLCD()    writeLCD( LCDCMD, 1)
#define setLCDG( a) writeLCD( LCDCMD, (a & 0x3F) | 0x40)
#define setLCDC( a) writeLCD( LCDCMD, (a & 0x7F) | 0x80)



/************ FUNCTION PROTOTYPES *********************************
*
******************************************************************/

void LCDinit( void);

char readLCD( int addr);

void writeLCD( int addr, char c);

void putsLCD( char *s);

void adddec( char *tempx);

void addneg( char *bufferX);
