////////////////////////////////////////////////////////////////////////////////
// conU2.c
// funtions for sending and recieving data for serial communication
////////////////////////////////////////////////////////////////////////////////


#include <p24FJ192GA110.h>
#include "conU2.h"



//
//// sending a character to the serial port
///////////////////////////////////////////////////////////////////////////////////
//
/////////////////////////////////////////////////////////////////////////////////
int putU2( int c)
{
//	while( CTS);				// wait for !CTS, to clear to send
	while( U2STAbits.UTXBF);	// wait for TX buffer full
	U2TXREG = c;
	return c;					// transfer character to the transmit buffer FIFO
}// end putU2

// function to print an entire null terminated string
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
void putsU2( char *s)
{
	while( *s)					// loop until *s == '\0' at end of string
	putU2( *s++);				// send the character and point to the next one

}// end putsU2

// recieving a character from the serial port
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
char getU2( void)
{

	while ( !U2STAbits.URXDA); 	// wait for a new character to arrive

	return U2RXREG;				// read character from the recieve buffer
	
}// end getU2

// function to input a full text line
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////
char *getsnU2( char *s, int len)
{
	char *p = s;					// copy the buffer pointer
	
	do{
		*s = getU2();				// wait for a new char

		// if statement for using backspace
		if( (*s == BACKSPACE) && (s > p))
		{
			putU2( ' ');			// overwrite last char with ' '
			putU2( BACKSPACE);  		// defined in conU2.h as ASCII 0x8
			len++;				// increment length
			s--;					// decrement pointer
			continue;			
		}// end if for backspace
	
		if( *s == '\n')				// line feed, ignore it
			continue;
		if( *s == '\r')				// end of line, end of loop
			break;

		s++;						// otherwise increment buffer pointer
		len--;					// decrement length
	}while( len>1);					// loop until buffer is full

	*s = '\0';						// null terminate the string

	return p;						// return buffer pointer

}// end *getsnU2
