#include <p24FJ192GA110.h>
// External oscillator frequency
#define SYSCLK          32000000

// UART IOs
#define UART2_TX_TRIS   TRISFbits.TRISF5
#define UART2_RX_TRIS   TRISFbits.TRISF4
//#endif

//PPS Outputs
#ifndef __PIC24FJ128GA010__
	#define U2TX_IO		5
	#define U2RTS_IO	6
#endif

/*****************************************************************************
 * DEFINITIONS
 *****************************************************************************/
// Baudrate
#define BAUDRATE2		57600
/*****************************************************************************
 * U2BRG register value and baudrate mistake calculation
 *****************************************************************************/

#define BAUDRATEREG2X SYSCLK/8/BAUDRATE2-1
#define BAUDRATE_MISTAKE1 1000*(SYSCLK/8/(BAUDRATEREG2X+1)-BAUDRATE2)/BAUDRATE2
#define BAUDRATE_MISTAKE2 1000*(BAUDRATE2-SYSCLK/8/(BAUDRATEREG2X+2))/BAUDRATE2
#if (BAUDRATE_MISTAKE1 < BAUDRATE_MISTAKE2)
	#define BAUDRATE_MISTAKE BAUDRATE_MISTAKE1
	#define BAUDRATEREG2 BAUDRATEREG2X
#else
	#define BAUDRATE_MISTAKE BAUDRATE_MISTAKE2
	#define BAUDRATEREG2 BAUDRATEREG2X+1
#endif

#if BAUDRATEREG2 > 255
#error Cannot set up UART2 for the SYSCLK and BAUDRATE.\
 Correct values in uart2.h files.
#endif

#if (BAUDRATE_MISTAKE > 8)||(BAUDRATE_MISTAKE < -8)
#error UART2 baudrate mistake is too big  for the SYSCLK\
 and BAUDRATE2. 
#endif 



 
